
q = [0 0 0 0 0 0 0]; % Initial joint values
option = optimset('Algorithm','levenberg-marquardt','Display','off');

q = fsolve(@bravo_ik2,q,option); % Solution to the Optimization problem


function F = bravo_ik2(q)  

    %% Forward Kinematics
    A06 = bravo_fk(q);
    
    %% Output to solve Inverse Kinematics numerically
    
    D = [ 1 0 0 0.2468; 0 0 1 0; 0 -1 0 0.7061; 0 0 0 1]; 
    % D is the destination we want to reach
    
    F = A06(1:3,:) - D(1:3,:);

end
